Name:           viu
Version:        1.5.1
Release:        1%{?dist}
Summary:        Terminal image viewer with true color support

License:        MIT
URL:            https://github.com/atanunq/viu
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  rust >= 1.60.0

# Disable debuginfo package generation
%global debug_package %{nil}

%description
Simple terminal image viewer written in Rust that supports true color.

%prep
%autosetup -n %{name}-%{version}

%build
export RUSTFLAGS="-C codegen-units=32 -C opt-level=3"
export CARGO_BUILD_JOBS=%{?_smp_build_ncpus}%{!?_smp_build_ncpus:%{?jobs:%{jobs}}%{!?jobs:8}}
cargo build --release

%install
mkdir -p %{buildroot}%{_bindir}
install -D -m 755 target/release/viu %{buildroot}%{_bindir}/viu

%files
%license LICENSE-MIT
%doc README.md
%{_bindir}/viu

%changelog
* Wed Apr 1 2025 Hai Tran <MCPEngu@protonmail.com> - 1.5.1-1
- Simple terminal image viewer
